## pentobi 18.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(Pentobi)
set(PENTOBI_VERSION 18.3)
set(PENTOBI_RELEASE_DATE 2020-11-04)

cmake_policy(SET CMP0043 NEW)
cmake_policy(SET CMP0071 NEW)

include(GNUInstallDirs)

option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
option(PENTOBI_BUILD_GUI "Build GUI" ON)
option(PENTOBI_BUILD_THUMBNAILER "Build Gnome thumbnailer" ${UNIX})
option(PENTOBI_BUILD_KDE_THUMBNAILER "Build KDE thumbnailer" OFF)
option(PENTOBI_OPEN_HELP_EXTERNALLY "Force using web browser for displaying help" OFF)
option(BUILD_TESTING "Build tests" OFF)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "No build type selected, default to Release")
  set(CMAKE_BUILD_TYPE Release CACHE STRING "" FORCE)
endif()

set(CMAKE_CXX_STANDARD 17)
if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
  add_compile_options(-ffast-math -Wall -Wextra)
endif()

if(BUILD_TESTING)
  if(PENTOBI_BUILD_KDE_THUMBNAILER)
    configure_file(pentobi_kde_thumbnailer/CTestCustom.cmake
        ${CMAKE_BINARY_DIR} COPYONLY)
  endif()
  enable_testing()
endif()

if(UNIX)
  add_custom_target(dist
    COMMAND git archive --prefix=pentobi-${PENTOBI_VERSION}/ HEAD
    | xz -e > ${CMAKE_BINARY_DIR}/pentobi-${PENTOBI_VERSION}.tar.xz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

add_subdirectory(libboardgame_base)
add_subdirectory(libpentobi_base)
if(BUILD_TESTING)
    add_subdirectory(libboardgame_test)
endif()
if(PENTOBI_BUILD_GUI OR PENTOBI_BUILD_GTP)
    add_subdirectory(libboardgame_mcts)
    add_subdirectory(libpentobi_mcts)
endif()
if(PENTOBI_BUILD_GTP)
    add_subdirectory(libboardgame_gtp)
    add_subdirectory(libpentobi_gtp)
    add_subdirectory(pentobi_gtp)
    if(UNIX)
        add_subdirectory(twogtp)
    else()
        message(STATUS "Not building twogtp, needs POSIX")
    endif()
    add_subdirectory(learn_tool)
endif()
if(PENTOBI_BUILD_GUI)
    add_subdirectory(libpentobi_paint)
    add_subdirectory(pentobi)
    if(PENTOBI_BUILD_THUMBNAILER)
        add_subdirectory(libpentobi_thumbnail)
        add_subdirectory(pentobi_thumbnailer)
    endif()
endif()
if(PENTOBI_BUILD_KDE_THUMBNAILER)
    add_subdirectory(libpentobi_kde_thumbnailer)
    add_subdirectory(pentobi_kde_thumbnailer)
endif()

=== libboardgame_base/CMakeLists.txt ===
add_library(boardgame_base STATIC
    ArrayList.h
    Assert.h
    Assert.cpp
    Barrier.h
    Barrier.cpp
    Compiler.h
    CoordPoint.h
    CoordPoint.cpp
    CpuTime.h
    CpuTime.cpp
    CpuTimeSource.h
    CpuTimeSource.cpp
    FmtSaver.h
    Geometry.h
    GeometryUtil.h
    Grid.h
    IntervalChecker.h
    IntervalChecker.cpp
    Log.h
    Log.cpp
    Marker.h
    MathUtil.h
    Memory.h
    Memory.cpp
    Options.h
    Options.cpp
    Point.h
    PointTransform.h
    RandomGenerator.h
    RandomGenerator.cpp
    Range.h
    Rating.h
    Rating.cpp
    Reader.h
    Reader.cpp
    RectGeometry.h
    RectTransform.h
    RectTransform.cpp
    SgfError.h
    SgfError.cpp
    SgfNode.h
    SgfNode.cpp
    SgfTree.h
    SgfTree.cpp
    SgfUtil.h
    SgfUtil.cpp
    Statistics.h
    StringRep.h
    StringRep.cpp
    StringUtil.h
    StringUtil.cpp
    TimeIntervalChecker.h
    TimeIntervalChecker.cpp
    Timer.h
    Timer.cpp
    TimeSource.h
    TimeSource.cpp
    Transform.h
    Transform.cpp
    TreeReader.h
    TreeReader.cpp
    TreeWriter.h
    TreeWriter.cpp
    WallTimeSource.h
    WallTimeSource.cpp
    Writer.h
    Writer.cpp
    )

target_compile_options(boardgame_base PUBLIC
    "$<$<CONFIG:DEBUG>:-DLIBBOARDGAME_DEBUG>")

target_include_directories(boardgame_base PUBLIC ..)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== libpentobi_paint/CMakeLists.txt ===
find_package(Qt5Gui 5.9 REQUIRED)

add_library(pentobi_paint STATIC
Paint.cpp
Paint.h
)

target_compile_definitions(pentobi_paint PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000)

target_link_libraries(pentobi_paint pentobi_base Qt5::Gui)

=== libpentobi_thumbnail/CMakeLists.txt ===
find_package(Qt5Gui 5.9 REQUIRED)

add_library(pentobi_thumbnail STATIC
    CreateThumbnail.h
    CreateThumbnail.cpp
    )

target_compile_definitions(pentobi_thumbnail PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000)

target_link_libraries(pentobi_thumbnail pentobi_paint)

=== pentobi/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Threads)
find_package(Qt5Concurrent 5.11 REQUIRED)
find_package(Qt5QuickControls2 5.11 REQUIRED)
find_package(Qt5LinguistTools 5.11 REQUIRED)
find_package(Qt5Svg 5.11 REQUIRED)
find_package(Qt5WebView 5.11 QUIET)

qt5_add_translation(pentobi_QM
    qml/i18n/qml_de.ts
    qml/i18n/qml_es.ts
    qml/i18n/qml_fr.ts
    qml/i18n/qml_nb_NO.ts
    qml/i18n/qml_ru.ts
    qml/i18n/qml_zh_CN.ts
    OPTIONS -removeidentical -nounfinished
    )
add_custom_command(
    OUTPUT "translations.qrc"
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/qml/i18n/translations.qrc" .
    DEPENDS qml/i18n/translations.qrc ${pentobi_QM}
    )

add_executable(pentobi WIN32
    AnalyzeGameModel.h
    AnalyzeGameModel.cpp
    AndroidUtils.h
    AndroidUtils.cpp
    GameModel.h
    GameModel.cpp
    ImageProvider.h
    ImageProvider.cpp
    Main.cpp
    PieceModel.h
    PieceModel.cpp
    PlayerModel.h
    PlayerModel.cpp
    RatingModel.h
    RatingModel.cpp
    SyncSettings.h
    "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc"
    ../opening_books/pentobi_books.qrc
    icon/pentobi_icon.qrc
    resources.qrc
    resources_desktop.qrc
    qml/themes/themes.qrc
    )

file(GLOB qml_SRC "qml/*.qml" "qml/*.js" "qml/i18n/*.ts" "qml/themes/*/*.qml")
target_sources(pentobi PRIVATE ${qml_SRC})

target_compile_definitions(pentobi PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    PENTOBI_HELP_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/help"
    VERSION="${PENTOBI_VERSION}"
    )

target_link_libraries(pentobi
    pentobi_paint
    pentobi_mcts
    Qt5::Concurrent
    Qt5::Qml
    Qt5::QuickControls2
    Qt5::Svg
    Threads::Threads
    )

if(Qt5WebView_FOUND AND NOT PENTOBI_OPEN_HELP_EXTERNALLY)
    target_link_libraries(pentobi Qt5::WebView)
else()
    if(NOT Qt5WebView_FOUND AND NOT PENTOBI_OPEN_HELP_EXTERNALLY)
        message(FATAL_ERROR
            "Qt5WebView not found. Install Qt5WebView or set"
            " PENTOBI_OPEN_HELP_EXTERNALLY to make Pentobi use an external"
            " browser for displaying help.")
    endif()
    target_compile_definitions(pentobi PRIVATE PENTOBI_OPEN_HELP_EXTERNALLY)
endif()

install(TARGETS pentobi DESTINATION ${CMAKE_INSTALL_BINDIR})

add_subdirectory(docbook)
if(UNIX)
    add_subdirectory(unix)
endif()

=== pentobi_thumbnailer/CMakeLists.txt ===
set(CMAKE_AUTORCC ON)

find_package(Qt5Core 5.11 REQUIRED)
find_package(Qt5LinguistTools 5.11 REQUIRED)
find_package(Gettext 0.18 REQUIRED)
find_package(DocBookXSL REQUIRED)
find_program(ITSTOOL itstool)
if(NOT ITSTOOL)
    message(FATAL_ERROR "itstool not found")
endif()
find_program(XSLTPROC xsltproc)
if(NOT XSLTPROC)
    message(FATAL_ERROR "xsltproc not found")
endif()

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/po/LINGUAS" linguas)
string(REGEX REPLACE "\n" ";" linguas "${linguas}")

set(man_files "pentobi-thumbnailer.6")
foreach(lang ${linguas})
    list(APPEND man_files ${lang}/pentobi-thumbnailer.6)
endforeach()

foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}.mo
        COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" -o ${lang}.mo
        "${CMAKE_CURRENT_SOURCE_DIR}/po/${lang}.po"
        DEPENDS po/${lang}.po
        )
    list(APPEND po_files po/${lang}.po)
    list(APPEND mo_files ${lang}.mo)
endforeach()

qt5_add_translation(pentobi_thumbnailer_QM
    i18n/de.ts
    i18n/es.ts
    i18n/ru.ts
    OPTIONS -removeidentical -nounfinished
    )
add_custom_command(
    OUTPUT "translations.qrc"
    COMMAND ${CMAKE_COMMAND} -E copy
    ${CMAKE_CURRENT_SOURCE_DIR}/i18n/translations.qrc .
    DEPENDS i18n/translations.qrc ${pentobi_thumbnailer_QM}
    )

add_executable(pentobi-thumbnailer
    Main.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc
    ${man_files}
    )

target_link_libraries(pentobi-thumbnailer pentobi_thumbnail)

target_compile_definitions(pentobi-thumbnailer PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    VERSION="${PENTOBI_VERSION}"
    )

configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)

install(TARGETS pentobi-thumbnailer DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.thumbnailer
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/thumbnailers)

# Man page

configure_file(pentobi-thumbnailer-manpage.docbook.in
    pentobi-thumbnailer-manpage.docbook @ONLY)
add_custom_command(OUTPUT pentobi-thumbnailer.6
    COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOKXSL_DIR}/manpages"
    "${CMAKE_CURRENT_SOURCE_DIR}/../pentobi/unix/manpage.xsl"
    pentobi-thumbnailer-manpage.docbook
    DEPENDS
    "${CMAKE_CURRENT_BINARY_DIR}/pentobi-thumbnailer-manpage.docbook"
    ../pentobi/unix/manpage.xsl
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-thumbnailer.6"
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man6")
foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}/pentobi-thumbnailer-manpage.docbook
        COMMAND ${CMAKE_COMMAND} -E make_directory ${lang}
        COMMAND "${ITSTOOL}" -l ${lang} -m ${lang}.mo
        -o ${lang}/pentobi-thumbnailer-manpage.docbook
        -i "${CMAKE_CURRENT_SOURCE_DIR}/../pentobi/unix/manpage.its"
        pentobi-thumbnailer-manpage.docbook
        DEPENDS ${lang}.mo "${CMAKE_CURRENT_BINARY_DIR}/pentobi-thumbnailer-manpage.docbook"
        )
    add_custom_command(OUTPUT ${lang}/pentobi-thumbnailer.6
        COMMAND "${XSLTPROC}" --nonet --novalid
        --path "${DOCBOOKXSL_DIR}/manpages" -o ${lang}/
        "${CMAKE_CURRENT_SOURCE_DIR}/../pentobi/unix/manpage.xsl"
        ${lang}/pentobi-thumbnailer-manpage.docbook
        DEPENDS
        "${CMAKE_CURRENT_BINARY_DIR}/${lang}/pentobi-thumbnailer-manpage.docbook"
        ../pentobi/unix/manpage.xsl
        )
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${lang}/pentobi-thumbnailer.6"
        DESTINATION "${CMAKE_INSTALL_MANDIR}/${lang}/man6")
endforeach()

=== libboardgame_gtp/tests/CMakeLists.txt ===
add_executable(test_libboardgame_gtp
  ArgumentsTest.cpp
  CmdLineTest.cpp
  GtpEngineTest.cpp
  ResponseTest.cpp
)

target_link_libraries(test_libboardgame_gtp
    boardgame_test_main
    boardgame_gtp
    )

add_test(libboardgame_gtp test_libboardgame_gtp)

=== pentobi/unix/CMakeLists.txt ===
find_package(Gettext 0.18 REQUIRED)
find_package(DocBookXSL REQUIRED)
find_program(ITSTOOL itstool)
if(NOT ITSTOOL)
    message(FATAL_ERROR "itstool not found")
endif()
get_filename_component(GETTEXT_BIN_DIR ${GETTEXT_MSGFMT_EXECUTABLE} DIRECTORY)
get_filename_component(GETTEXT_INSTALL_DIR ${GETTEXT_BIN_DIR} DIRECTORY)
find_file(METAINFO_ITS NAMES metainfo.its appdata.its
    HINTS ${GETTEXT_INSTALL_DIR}/share/gettext/its
    )
if(NOT METAINFO_ITS)
    message(FATAL_ERROR
        "metainfo.its not found. Install appstream and/or use"
        " -DMETAINFO_ITS=<file> to define the location of the metainfo.its"
        " or appdata.its file."
        )
endif()
find_program(RSVG_CONVERT rsvg-convert)
if(NOT RSVG_CONVERT)
    message(FATAL_ERROR "rsvg-convert not found (install librsvg2-bin)")
endif()
find_program(XSLTPROC xsltproc)
if(NOT XSLTPROC)
    message(FATAL_ERROR "xsltproc not found")
endif()

# Binary gettext files

file(READ "${CMAKE_CURRENT_SOURCE_DIR}/po/LINGUAS" linguas)
string(REGEX REPLACE "\n" ";" linguas "${linguas}")

foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}.mo
        COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" -o ${lang}.mo
        "${CMAKE_CURRENT_SOURCE_DIR}/po/${lang}.po"
        DEPENDS po/${lang}.po
        )
    list(APPEND po_files po/${lang}.po)
    list(APPEND mo_files ${lang}.mo)
endforeach()

# Icons

add_custom_command(OUTPUT pentobi.png
    COMMAND "${RSVG_CONVERT}"
    "${CMAKE_CURRENT_SOURCE_DIR}/../icon/pentobi-48.svg"
    > pentobi.png
    DEPENDS ../icon/pentobi-48.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
install(FILES ../icon/pentobi-128.svg
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
    RENAME pentobi.svg)

add_custom_command(OUTPUT application-x-blokus-sgf.png
    COMMAND "${RSVG_CONVERT}"
    "${CMAKE_CURRENT_SOURCE_DIR}/application-x-blokus-sgf-48.svg"
    > application-x-blokus-sgf.png
    DEPENDS application-x-blokus-sgf-48.svg)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/application-x-blokus-sgf.png"
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/mimetypes)
install(FILES application-x-blokus-sgf-128.svg
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes
    RENAME application-x-blokus-sgf.svg)

# Desktop entry

configure_file(io.sourceforge.pentobi.desktop.in
    io.sourceforge.pentobi.desktop.in.2 @ONLY)
add_custom_command(OUTPUT io.sourceforge.pentobi.desktop
    COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" --desktop
    -d "${CMAKE_CURRENT_SOURCE_DIR}/po"
    --template io.sourceforge.pentobi.desktop.in.2
    -o io.sourceforge.pentobi.desktop
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.desktop.in.2"
    ${po_files} po/LINGUAS)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.desktop
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")

# AppData

configure_file(io.sourceforge.pentobi.appdata.xml.in
    io.sourceforge.pentobi.appdata.xml @ONLY)
add_custom_command(OUTPUT io.sourceforge.pentobi.appdata.translated.xml
    COMMAND "${GETTEXT_MSGFMT_EXECUTABLE}" --xml
    -d "${CMAKE_CURRENT_SOURCE_DIR}/po"
    --template io.sourceforge.pentobi.appdata.xml
    -o io.sourceforge.pentobi.appdata.translated.xml
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.appdata.xml"
    ${po_files} po/LINGUAS
    )

install(
    FILES
    "${CMAKE_CURRENT_BINARY_DIR}/io.sourceforge.pentobi.appdata.translated.xml"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo"
    RENAME io.sourceforge.pentobi.appdata.xml
    )

# Shared MIME info

# Use itstool until shared-mime-info includes its/loc files for gettext (see
# also https://gitlab.freedesktop.org/xdg/shared-mime-info/merge_requests/4)
add_custom_command(OUTPUT pentobi-mime.xml
    COMMAND "${ITSTOOL}"
    -j "${CMAKE_CURRENT_SOURCE_DIR}/pentobi-mime.xml.in"
    -o pentobi-mime.xml ${mo_files}
    DEPENDS pentobi-mime.xml.in ${mo_files} po/LINGUAS
    )
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi-mime.xml"
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/mime/packages")

# Man page

set(man_files "pentobi.6")
foreach(lang ${linguas})
    list(APPEND man_files "${lang}/pentobi.6")
endforeach()

configure_file(pentobi-manpage.docbook.in pentobi-manpage.docbook @ONLY)
add_custom_command(OUTPUT pentobi.6
    COMMAND "${XSLTPROC}" --nonet --novalid --path "${DOCBOOKXSL_DIR}/manpages"
    "${CMAKE_CURRENT_SOURCE_DIR}/manpage.xsl" pentobi-manpage.docbook
    DEPENDS manpage.xsl "${CMAKE_CURRENT_BINARY_DIR}/pentobi-manpage.docbook"
    )
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pentobi.6"
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man6")
foreach(lang ${linguas})
    add_custom_command(OUTPUT ${lang}/pentobi-manpage.docbook
        COMMAND ${CMAKE_COMMAND} -E make_directory ${lang}
        COMMAND "${ITSTOOL}" -l ${lang} -m ${lang}.mo
        -o ${lang}/pentobi-manpage.docbook
        -i "${CMAKE_CURRENT_SOURCE_DIR}/manpage.its"
        pentobi-manpage.docbook
        DEPENDS ${lang}.mo "${CMAKE_CURRENT_BINARY_DIR}/pentobi-manpage.docbook"
        )
    add_custom_command(OUTPUT ${lang}/pentobi.6
        COMMAND "${XSLTPROC}" --nonet --novalid
        --path "${DOCBOOKXSL_DIR}/manpages" -o ${lang}/
        "${CMAKE_CURRENT_SOURCE_DIR}/manpage.xsl"
        ${lang}/pentobi-manpage.docbook
        DEPENDS manpage.xsl ${lang}/pentobi-manpage.docbook
        )
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${lang}/pentobi.6"
        DESTINATION "${CMAKE_INSTALL_MANDIR}/${lang}/man6")
endforeach()

# User manual

install(DIRECTORY help DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}
    FILES_MATCHING PATTERN "*.css" PATTERN "*.html" PATTERN "*.png"
    PATTERN "*.jpg")

# Target

add_custom_target(pentobi-unix ALL DEPENDS
    io.sourceforge.pentobi.desktop
    io.sourceforge.pentobi.appdata.translated.xml
    pentobi-mime.xml
    pentobi.png
    application-x-blokus-sgf.png
    ${man_files}
    )

=== debian/changelog ===
pentobi (18.3-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.6.0.
  * Fix FTBFS with GCC 11. (Closes: #984290)

 -- Markus Koschany <apo@debian.org>  Fri, 22 Oct 2021 00:11:53 +0200

pentobi (18.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes compilation with Qt 5.15 (Closes: #975128).
  * d/control:
    - Use debhelper compatibility level v13.
    - Remove Dean Evans from uploaders because of long inactivity.
      Thank you for your contribution as the initial maintainer!
    - Bump Standards-Version to 4.5.1. No changes needed.
    - Add libqt5svg5 to Depends, required for SVG images (Closes: #975314).
    - Depend on qml-module-qtqml just to avoid issues with Qt 5.14 and earlier
      (Closes: #973855).
  * d/copyright:
    - Update years.
    - Change Upstream-Contact from the recently closed mailing list to
      GitHub issue tracker.
  * d/rules: Drop the custom linker flag -Wl,--as-needed which is not
    necessary anymore after becoming the default.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Fri, 20 Nov 2020 17:04:16 +0200

=== debian/control ===
Source: pentobi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Juhani Numminen <juhaninumminen0@gmail.com>
Build-Depends: appstream,
               cmake,
               debhelper-compat (= 13),
               docbook-xsl,
               extra-cmake-modules,
               gettext,
               itstool,
               libkf5kio-dev,
               libqt5svg5-dev,
               libqt5webview5-dev [amd64 arm64 armhf i386 mipsel],
               librsvg2-bin,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://pentobi.sourceforge.io
Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
Vcs-Browser: https://salsa.debian.org/games-team/pentobi

Package: pentobi
Architecture: any
Depends: libqt5svg5,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-qtqml,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qml-module-qtwebview [amd64 arm64 armhf i386 mipsel],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: www-browser [!amd64 !arm64 !armhf !i386 !mipsel]
Suggests: pentobi-kde-thumbnailer
Description: clone of the strategy board game Blokus
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs.
 .
 The game ends when no one can place any more pieces and the winner is
 determined by calculating the score based on the points of any remaining
 playing pieces. Bonus points are added for playing every piece and additional
 bonus points are added if the monomino, the 1x1 square piece, is played last.

Package: pentobi-kde-thumbnailer
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: dolphin, konqueror
Description: clone of the strategy board game Blokus - KDE thumbnailer
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs.
 .
 This package contains a KDE plugin to display thumbnails of Pentobi game files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export QT_SELECT = qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Optimize with O3 to make the computationally expensive higher levels faster.
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  export DEB_CXXFLAGS_MAINT_APPEND = -O3
endif

# List of architectures which have Qt5WebView.
WEBVIEW_ARCHS = amd64 arm64 armhf i386 mipsel
# Everywhere else, set a cmake flag to fall back to launching a web browser.
ifeq (,$(filter $(WEBVIEW_ARCHS),$(DEB_HOST_ARCH)))
  WEBVIEW_FLAG = -DPENTOBI_OPEN_HELP_EXTERNALLY=ON
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_TESTING=ON \
		-DCMAKE_INSTALL_BINDIR=/usr/games \
		-DCMAKE_INSTALL_DATADIR=/usr/share/games \
		-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
		-DPENTOBI_BUILD_KDE_THUMBNAILER=ON \
		$(WEBVIEW_FLAG)

# dh_makeshlibs not needed, the KDE thumbnailer .so file is a plugin.
override_dh_makeshlibs:

## pentobi 21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,21 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.18)
 
-project(Pentobi)
-set(PENTOBI_VERSION 18.3)
-set(PENTOBI_RELEASE_DATE 2020-11-04)
-
-cmake_policy(SET CMP0043 NEW)
-cmake_policy(SET CMP0071 NEW)
+project(pentobi CXX)
+set(PENTOBI_VERSION 21.0)
+set(PENTOBI_RELEASE_DATE 2022-05-17)
 
 include(GNUInstallDirs)
 
+if(UNIX AND NOT ANDROID)
+    set(build_thumbnailer_default ON)
+else()
+    set(build_thumbnailer_default OFF)
+endif()
 option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
 option(PENTOBI_BUILD_GUI "Build GUI" ON)
-option(PENTOBI_BUILD_THUMBNAILER "Build Gnome thumbnailer" ${UNIX})
+option(PENTOBI_BUILD_THUMBNAILER "Build Gnome thumbnailer"
+    ${build_thumbnailer_default})
 option(PENTOBI_BUILD_KDE_THUMBNAILER "Build KDE thumbnailer" OFF)
-option(PENTOBI_OPEN_HELP_EXTERNALLY "Force using web browser for displaying help" OFF)
 option(BUILD_TESTING "Build tests" OFF)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
@@ -24,6 +26,7 @@
 endif()
 
 set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
   add_compile_options(-ffast-math -Wall -Wextra)
 endif()
@@ -49,6 +52,7 @@
     add_subdirectory(libboardgame_test)
 endif()
 if(PENTOBI_BUILD_GUI OR PENTOBI_BUILD_GTP)
+    find_package(Threads)
     add_subdirectory(libboardgame_mcts)
     add_subdirectory(libpentobi_mcts)
 endif()
@@ -63,7 +67,38 @@
     endif()
     add_subdirectory(learn_tool)
 endif()
+if(PENTOBI_BUILD_GUI OR PENTOBI_BUILD_KDE_THUMBNAILER)
+    find_package(QT NAMES Qt6 Qt5 REQUIRED)
+    if(ANDROID AND QT_VERSION_MAJOR EQUAL 5)
+        set(ANDROID_PACKAGE_SOURCE_DIR
+            "${CMAKE_SOURCE_DIR}/pentobi/android-qt5")
+        # Call find_package(QT) again, otherwise ANDROID_PACKAGE_SOURCE_DIR has
+        # no effect with Qt 5.15.
+        find_package(QT NAMES Qt5 REQUIRED)
+    endif()
+    find_package(Qt${QT_VERSION_MAJOR}Gui 5.15 REQUIRED)
+endif()
 if(PENTOBI_BUILD_GUI)
+    set(CMAKE_AUTOMOC ON)
+    set(CMAKE_AUTORCC ON)
+    find_package(Gettext 0.19.6 REQUIRED)
+    find_program(ITSTOOL itstool REQUIRED)
+    find_program(RSVG_CONVERT rsvg-convert REQUIRED)
+    if((UNIX AND NOT ANDROID) OR PENTOBI_BUILD_THUMBNAILER)
+        find_package(DocBookXSL REQUIRED)
+        find_program(XSLTPROC xsltproc REQUIRED)
+    endif()
+    find_package(Qt${QT_VERSION_MAJOR} 5.15 REQUIRED
+        COMPONENTS Concurrent LinguistTools QuickControls2)
+    if(ANDROID)
+        if (QT_VERSION_MAJOR EQUAL 5)
+            find_package(Qt5AndroidExtras 5.15 REQUIRED)
+        elseif()
+            if (${QT_VERSION} VERSION_LESS 6.2)
+                message(FATAL_ERROR "Android app needs Qt 5.15 or Qt >=6.2")
+            endif()
+        endif()
+    endif()
     add_subdirectory(libpentobi_paint)
     add_subdirectory(pentobi)
     if(PENTOBI_BUILD_THUMBNAILER)
@@ -75,4 +110,3 @@
     add_subdirectory(libpentobi_kde_thumbnailer)
     add_subdirectory(pentobi_kde_thumbnailer)
 endif()
-

=== libboardgame_mcts/CMakeLists.txt ===
option(LIBBOARDGAME_MCTS_SINGLE_THREAD
    "Slightly faster MCTS search if only single-threaded search is used" OFF)

add_library(boardgame_mcts INTERFACE)

if(LIBBOARDGAME_MCTS_SINGLE_THREAD)
  target_compile_definitions(boardgame_mcts INTERFACE
      LIBBOARDGAME_MCTS_SINGLE_THREAD)
endif()

target_include_directories(boardgame_mcts INTERFACE ..)

target_link_libraries(boardgame_mcts INTERFACE Threads::Threads)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== libpentobi_kde_thumbnailer/CMakeLists.txt ===
# libpentobi_kde_thumbnailer contains the files needed by
# the pentobi_kde_thumbnailer plugin compiled with shared library options
# (usually -fPIC) because this is required for building shared libraries on
# some targets (e.g. x86_64).
#
# The alternative would be to add -fPIC to the global compiler flags even for
# executables but this slows down Pentobi's search by 10% on some targets.
#
# Adding the source files directly to pentobi_kde_thumbnailer/CMakeList.txt is
# not possible because the KDE CMake macros add -fno-exceptions to the
# compiler flags, which causes errors in the Pentobi sources that use
# exceptions (which should be fine as long as no exceptions are thrown
# from the thumbnailer plugin functions).

add_library(pentobi_kde_thumbnailer STATIC
  ../libboardgame_base/Assert.cpp
  ../libboardgame_base/Reader.cpp
  ../libboardgame_base/SgfError.cpp
  ../libboardgame_base/SgfNode.cpp
  ../libboardgame_base/SgfTree.cpp
  ../libboardgame_base/StringRep.cpp
  ../libboardgame_base/StringUtil.cpp
  ../libboardgame_base/TreeReader.cpp
  ../libpentobi_base/CallistoGeometry.cpp
  ../libpentobi_base/GembloQGeometry.cpp
  ../libpentobi_base/NexosGeometry.cpp
  ../libpentobi_base/NodeUtil.cpp
  ../libpentobi_base/TrigonGeometry.cpp
  ../libpentobi_base/Variant.cpp
  ../libpentobi_paint/Paint.cpp
  ../libpentobi_thumbnail/CreateThumbnail.cpp
)

target_include_directories(pentobi_kde_thumbnailer PRIVATE ..)

target_compile_options(pentobi_kde_thumbnailer PRIVATE
    ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})

target_compile_definitions(pentobi_kde_thumbnailer PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x051200)

target_link_libraries(pentobi_kde_thumbnailer Qt::Gui)

=== libpentobi_thumbnail/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-find_package(Qt5Gui 5.9 REQUIRED)
-
 add_library(pentobi_thumbnail STATIC
     CreateThumbnail.h
     CreateThumbnail.cpp

=== pentobi/CMakeLists.txt ===
qt_add_translation(pentobi_QM
    qml/i18n/qml_de.ts
    qml/i18n/qml_es.ts
    qml/i18n/qml_fr.ts
    qml/i18n/qml_nb_NO.ts
    qml/i18n/qml_ru.ts
    qml/i18n/qml_zh_CN.ts
    OPTIONS -removeidentical -nounfinished
    )
add_custom_command(
    OUTPUT translations.qrc
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/qml/i18n/translations.qrc" .
    DEPENDS qml/i18n/translations.qrc ${pentobi_QM}
    )

# Images and icons to be used with QtQuick Image. Here we use a sourceSize four
# times larger than the device-indepenent size to support high-dpi images.
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icon")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qml/icons")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qml/themes/dark")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qml/themes/light")
set(pentobi_images
    icon/pentobi-48
    qml/icons/filedialog-folder
    qml/themes/dark/menu
    qml/themes/dark/menu-desktop
    qml/themes/dark/pentobi-backward
    qml/themes/dark/pentobi-backward10
    qml/themes/dark/pentobi-beginning
    qml/themes/dark/pentobi-computer-colors
    qml/themes/dark/pentobi-end
    qml/themes/dark/pentobi-forward
    qml/themes/dark/pentobi-forward10
    qml/themes/dark/pentobi-newgame
    qml/themes/dark/pentobi-next-variation
    qml/themes/dark/pentobi-play
    qml/themes/dark/pentobi-previous-variation
    qml/themes/dark/pentobi-rated-game
    qml/themes/dark/pentobi-stop
    qml/themes/dark/pentobi-undo
    qml/themes/dark/piece-manipulator-desktop
    qml/themes/dark/piece-manipulator-desktop-legal
    qml/themes/dark/piece-manipulator
    qml/themes/dark/piece-manipulator-legal
    qml/themes/light/menu
    qml/themes/light/menu-desktop
    qml/themes/light/pentobi-backward
    qml/themes/light/pentobi-backward10
    qml/themes/light/pentobi-beginning
    qml/themes/light/pentobi-computer-colors
    qml/themes/light/pentobi-end
    qml/themes/light/pentobi-forward
    qml/themes/light/pentobi-forward10
    qml/themes/light/pentobi-newgame
    qml/themes/light/pentobi-next-variation
    qml/themes/light/pentobi-play
    qml/themes/light/pentobi-previous-variation
    qml/themes/light/pentobi-rated-game
    qml/themes/light/pentobi-stop
    qml/themes/light/pentobi-undo
    qml/themes/light/piece-manipulator-desktop
    qml/themes/light/piece-manipulator-desktop-legal
    qml/themes/light/piece-manipulator
    qml/themes/light/piece-manipulator-legal
    )
foreach(image ${pentobi_images})
    add_custom_command(OUTPUT "${image}.png"
        COMMAND "${RSVG_CONVERT}" -x 4 -y 4
        "${CMAKE_CURRENT_SOURCE_DIR}/${image}.svg" > "${image}.png"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${image}.svg"
        )
    list(APPEND images_png "${image}.png")
endforeach()
add_custom_command(
    OUTPUT icons.qrc
    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" .
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons.qrc" ${images_png}
    )

# Icons to be used with QtQuickControls2 ToolButton.icon. Here we cannot
# specify a sourceSize different from size, so we use a custom icon theme to
# support high-dpi icons.
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icons/pentobi/16x16")
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/icons/pentobi/16x16@2")
set(pentobi_icons
    filedialog-newfolder
    filedialog-parent
    )
foreach(icon ${pentobi_icons})
    add_custom_command(OUTPUT "icons/pentobi/16x16/${icon}.png"
        COMMAND "${RSVG_CONVERT}"
        "${CMAKE_CURRENT_SOURCE_DIR}/icons/${icon}.svg"
        > "icons/pentobi/16x16/${icon}.png"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons/${icon}.svg"
        )
    list(APPEND icons_png "icons/pentobi/16x16/${icon}.png")
    add_custom_command(OUTPUT "icons/pentobi/16x16@2/${icon}.png"
        COMMAND "${RSVG_CONVERT}" -x 2 -y 2
        "${CMAKE_CURRENT_SOURCE_DIR}/icons/${icon}.svg"
        > "icons/pentobi/16x16@2/${icon}.png"
        DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons/${icon}.svg"
        )
    list(APPEND icons_png "icons/pentobi/16x16@2/${icon}.png")
endforeach()
add_custom_command(
    OUTPUT icons_desktop.qrc
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" .
    DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/icons_desktop.qrc" ${images_png}
    ${icons_png}
    )

set(pentobi_src
    AnalyzeGameModel.h
    AnalyzeGameModel.cpp
    AndroidUtils.h
    AndroidUtils.cpp
    DocbookReader.h
    DocbookReader.cpp
    GameModel.h
    GameModel.cpp
    ImageProvider.h
    ImageProvider.cpp
    Main.cpp
    PieceModel.h
    PieceModel.cpp
    PlayerModel.h
    PlayerModel.cpp
    RatingModel.h
    RatingModel.cpp
    RecentFiles.h
    RecentFiles.cpp
    SyncSettings.h
    "${CMAKE_CURRENT_BINARY_DIR}/translations.qrc"
    "${CMAKE_CURRENT_BINARY_DIR}/icons.qrc"
    "${CMAKE_CURRENT_BINARY_DIR}/help/help.qrc"
    ../opening_books/pentobi_books.qrc
    resources.qrc
    )
if (WIN32)
    list(APPEND pentobi_src "windows/pentobi.rc")
endif()

add_custom_command(
    OUTPUT help/help.qrc
    COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/help/help.qrc" help
    DEPENDS pentobi-help help/help.qrc
    )

if(ANDROID)
    if (QT_VERSION_MAJOR EQUAL 5)
        add_library(pentobi SHARED ${pentobi_src})
        set_property(TARGET pentobi APPEND PROPERTY
            QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
        target_link_libraries(pentobi PRIVATE Qt::AndroidExtras)
    else()
        qt_add_executable(pentobi MANUAL_FINALIZATION ${pentobi_src})
        target_link_libraries(pentobi PRIVATE Qt::CorePrivate)
        set_property(TARGET pentobi APPEND PROPERTY
            QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
        qt_finalize_executable(pentobi)
    endif()
else()
    add_executable(pentobi WIN32
        ${pentobi_src}
        "${CMAKE_CURRENT_BINARY_DIR}/icons_desktop.qrc"
        resources_desktop.qrc
        )
    install(TARGETS pentobi)
endif()

target_compile_definitions(pentobi PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    VERSION="${PENTOBI_VERSION}"
    )

target_link_libraries(pentobi PRIVATE
    pentobi_paint
    pentobi_mcts
    Qt::Concurrent
    Qt::Qml
    Qt::QuickControls2
    Threads::Threads
    )

add_subdirectory(help)
if(UNIX AND NOT ANDROID)
    add_subdirectory(unix)
endif()

=== pentobi_thumbnailer/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,4 @@
 set(CMAKE_AUTORCC ON)
-
-find_package(Qt5Core 5.11 REQUIRED)
-find_package(Qt5LinguistTools 5.11 REQUIRED)
-find_package(Gettext 0.18 REQUIRED)
-find_package(DocBookXSL REQUIRED)
-find_program(ITSTOOL itstool)
-if(NOT ITSTOOL)
-    message(FATAL_ERROR "itstool not found")
-endif()
-find_program(XSLTPROC xsltproc)
-if(NOT XSLTPROC)
-    message(FATAL_ERROR "xsltproc not found")
-endif()
 
 file(READ "${CMAKE_CURRENT_SOURCE_DIR}/po/LINGUAS" linguas)
 string(REGEX REPLACE "\n" ";" linguas "${linguas}")
@@ -31,7 +18,7 @@
     list(APPEND mo_files ${lang}.mo)
 endforeach()
 
-qt5_add_translation(pentobi_thumbnailer_QM
+qt_add_translation(pentobi_thumbnailer_QM
     i18n/de.ts
     i18n/es.ts
     i18n/ru.ts
@@ -60,7 +47,7 @@
 
 configure_file(pentobi.thumbnailer.in pentobi.thumbnailer @ONLY)
 
-install(TARGETS pentobi-thumbnailer DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(TARGETS pentobi-thumbnailer)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.thumbnailer
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/thumbnailers)

=== debian/changelog ===
pentobi (21.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch applied upstream.
  * d/control:
    - Drop qml-module-qtqml dependency (no longer required)
    - Drop build-dependency on qtwebview and qt5svg
    - Drop recommendation on www-browser (help is now always displayed
      in the applicationn)
    - Bump Standards-Version to 4.6.2
  * Add upstream metadata.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 08 Jan 2023 19:13:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,13 @@
                gettext,
                itstool,
                libkf5kio-dev,
-               libqt5svg5-dev,
-               libqt5webview5-dev [amd64 arm64 armhf i386 mipsel],
                librsvg2-bin,
                qtdeclarative5-dev,
                qtquickcontrols2-5-dev,
                qttools5-dev,
-               qttools5-dev-tools,
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://pentobi.sourceforge.io
 Vcs-Git: https://salsa.debian.org/games-team/pentobi.git
 Vcs-Browser: https://salsa.debian.org/games-team/pentobi
@@ -30,15 +27,12 @@
 Depends: libqt5svg5,
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
-         qml-module-qtqml,
          qml-module-qtquick-controls2,
          qml-module-qtquick-layouts,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         qml-module-qtwebview [amd64 arm64 armhf i386 mipsel],
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: www-browser [!amd64 !arm64 !armhf !i386 !mipsel]
 Suggests: pentobi-kde-thumbnailer
 Description: clone of the strategy board game Blokus
  Pentobi is a strategy board game played on a square grid board using playing

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export QT_SELECT = qt5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Optimize with O3 to make the computationally expensive higher levels faster.
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  export DEB_CXXFLAGS_MAINT_APPEND = -O3
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_TESTING=ON \
		-DCMAKE_INSTALL_BINDIR=/usr/games \
		-DCMAKE_INSTALL_DATADIR=/usr/share/games \
		-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
		-DPENTOBI_BUILD_KDE_THUMBNAILER=ON

# dh_makeshlibs not needed, the KDE thumbnailer .so file is a plugin.
override_dh_makeshlibs:
